summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-05-08 20:01:22 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-05-08 21:35:41 +0200
commit35680dd7a0565547f9c8926d87fa4ad17f02bd9b (patch)
tree74b6208188effc24decbcfcd68f27ff2f873d3f0 /dev-qt/qtwayland
parentprofiles: Mask Qt 5.11.0_rc (diff)
downloadgentoo-35680dd7a0565547f9c8926d87fa4ad17f02bd9b.tar.gz
gentoo-35680dd7a0565547f9c8926d87fa4ad17f02bd9b.tar.bz2
gentoo-35680dd7a0565547f9c8926d87fa4ad17f02bd9b.zip
dev-qt: Add Qt 5.11.0_rc
Package-Manager: Portage-2.3.36, Repoman-2.3.9
Diffstat (limited to 'dev-qt/qtwayland')
-rw-r--r--dev-qt/qtwayland/Manifest1
-rw-r--r--dev-qt/qtwayland/qtwayland-5.11.0_rc.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-qt/qtwayland/Manifest b/dev-qt/qtwayland/Manifest
index 1be38516da7..4d2718cf486 100644
--- a/dev-qt/qtwayland/Manifest
+++ b/dev-qt/qtwayland/Manifest
@@ -1,4 +1,5 @@
DIST qtwayland-everywhere-src-5.11.0-beta4.tar.xz 389040 BLAKE2B a6eb021783b1008cb7f6c8b34a92b9bbd7da518b2a794cac405a4f368dfc7b01fed99426f2713b646fbd8690b7079b27581e413d907e56b6cd02fd021e8b0215 SHA512 354528f5db85fc203898561be3755150193c8a3d7366b435cf82f6110dd0f3fde08f2430d8d51269cc39eef4381b8f3b1cc2383e2559c8eb9c95d08c4c9104d9
+DIST qtwayland-everywhere-src-5.11.0-rc.tar.xz 389828 BLAKE2B 31084cbcf2cc42fc2f7eba43f6c85341f915a63e3ca11e5de21e351f88e198556ec8f8b3c4ccc0e9baf1fc4da9b1cfa4faf006171e55bfcd80e3dec349ece4d8 SHA512 6b28d05e89e92794220777e1def8d5f71164c290cea929970a980f31735b02fe36b08094d9c46194c4b92bd89fd326c2f6397629f5733b900fdbf8c6b54f8326
DIST qtwayland-opensource-src-5.7.1.tar.xz 291776 BLAKE2B 06aba415e33ed971ef4de975e8677a52c4fcc81922f978cc1bde7e9a7ebdea32cd1c7dca59b67493bc96edfd997027f630c05c93ce31ae4ba87a55580495997a SHA512 41a6699b9048a859bb0cb1e37cd0a3977f52a5a223d4f6a4ce5e1402c5b829cc907593ce2b70f4ec24dfad147251bb2f20e889eae26072cf53e774b4585f2921
DIST qtwayland-opensource-src-5.9.4.tar.xz 314932 BLAKE2B de90fb47af0d07e0b6476b84de2f51900e4e09ecd57aee800534998d3a2e733501da877f912c4b0ce671d417f543eb44bc1607225af0a134ba5702d17efae431 SHA512 93d43bdcc39fd471cdd335c0699c5e5dd77cd0bc2d15f2a1170d8ccd103d84e2c7e657575a370ac6c678b52c2b617fb2c80ce4d226264cb6c857064452f7dc10
DIST qtwayland-opensource-src-5.9.5.tar.xz 316056 BLAKE2B bd270a3c2a87874e533f8ec772b6435834f2eca1130d4efccd3543cd1170064950020e62910f6e80e6be1bcc20133a240ac9d89a9afe86db4e267c1718bccaf2 SHA512 31b8c8fb0c1e7172006053fc1added67a4312aec364b0d762bd9ff5fd451b298cdf34a47dc043af8e5212f856f79efd32014ac4c35e0ff7661d83e19c6fd1289
diff --git a/dev-qt/qtwayland/qtwayland-5.11.0_rc.ebuild b/dev-qt/qtwayland/qtwayland-5.11.0_rc.ebuild
new file mode 100644
index 00000000000..4c3553046db
--- /dev/null
+++ b/dev-qt/qtwayland/qtwayland-5.11.0_rc.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Wayland platform plugin for Qt"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="+libinput xcomposite"
+
+DEPEND="
+ >=dev-libs/wayland-1.6.0
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtdeclarative-${PV}
+ ~dev-qt/qtgui-${PV}[egl,libinput?]
+ media-libs/mesa[egl]
+ >=x11-libs/libxkbcommon-0.2.0
+ xcomposite? (
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ qt_use_disable_config libinput xkbcommon-evdev \
+ src/client/client.pro \
+ src/compositor/wayland_wrapper/wayland_wrapper.pri \
+ src/plugins/shellintegration/ivi-shell/ivi-shell.pro \
+ tests/auto/compositor/compositor/compositor.pro
+
+ use xcomposite || rm -r config.tests/xcomposite || die
+
+ qt5-build_src_prepare
+}